/*******************************************************************************
 * Copyright (c) 2020 VRE4EIC Consortium
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package eu.sshoc.citation.service.wfconfigurator.util;

import java.util.Vector;

public  class Consts {
	
	public static Vector <String> unusedFields=new <String> Vector();
	public static Vector <String> dcterms=new <String> Vector();
	
	public Consts () {
		unusedFields.add("published-print");
		unusedFields.add("published-online");
		unusedFields.add("is-referenced-by-count");
		
		unusedFields.add("journal-issue");
		unusedFields.add("content-domain");
		unusedFields.add("alternative-id");
		unusedFields.add("relation");
		unusedFields.add("score");
		
		unusedFields.add("member");
		unusedFields.add("inference_count");
		unusedFields.add("assertion");
		unusedFields.add("issue");
		unusedFields.add("indexed");
		//dcterms
		dcterms.add("dcterms:title");
		dcterms.add("dcterms:language");
		dcterms.add("dcterms:accessRights");
		dcterms.add("dcterms:creator");
		dcterms.add("dcterms:service");
	}
}
